Bug 608560 - The -e argument in mc does not work.
Summary: The -e argument in mc does not work.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 06:26 UTC by bugzilla.redhat.com
Modified: 2013-07-02 23:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-07 09:19:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bugzilla.redhat.com 2010-06-28 06:26:58 UTC
Description of problem: 
Using mc with the -e argument, such as "mc -e somefile" brings you to the file browser instead of the editing interface even though the file exists in the current directory.

Version-Release number of selected component (if applicable):
4.7.2

How reproducible:
Happens every time.

Steps to Reproduce:
1. Enter a terminal (through X or a tty)
2. Run mc -e somefile where somefile is an existing file (either exact or relative path)
  
Actual results:
mc opens up to the file browser as if you ran mc with no arguments

Expected results:
mc should open up the file editor as is the case when you run "mcedit somefile"

Additional info:

Comment 1 Slava Zanko 2010-06-28 09:51:23 UTC
Thanks for bugreport. This was fixed in http://midnight-commander.org/ticket/2187

Jindrich, you may cherry-pick needed patch by command:

git diff  15fe01a..e14ddbd >mc-e.patch

and add it to exists 4.7.2 src.rpm. 

Or just wait for next release (4.7.3 will released near the 5'th of July)

Comment 2 Jindrich Novy 2010-06-28 10:25:08 UTC
Slava, thanks for the quick action :)

I will wait for the next release and release update so that we can benefit from more fixes in 4.7.3. ... and I don't need to release updates twice ;)

Comment 3 bugzilla.redhat.com 2010-07-13 21:39:49 UTC
Any ETA on this?  It's hard to get used to using mcedit instead of mc -e after using mc -e for so many years. :-P

Comment 4 Jindrich Novy 2010-07-14 05:19:36 UTC
It is fixed by this update:

https://admin.fedoraproject.org/updates/mc-4.7.3-1.fc13

Just give it a positive karma so that it is pushed to stable repositories ASAP :)


Note You need to log in before you can comment on or make changes to this bug.